Skip to main content
GET
/
workspaces
/
{workspaceId}
/
balances
/
{balanceId}
Get balance by ID
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/balances/{balanceId}
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/balances/{balanceId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/balances/{balanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accountId": "<string>",
  "accountType": "vault",
  "assetId": "<string>",
  "balanceId": "<string>",
  "workspaceId": "<string>",
  "createdAt": "<string>",
  "networkId": "<string>",
  "symbol": "<string>",
  "totalBalance": "<string>",
  "updatedAt": "<string>",
  "withdrawableBalance": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required
balanceId
string
required

Response

OK

accountId
string
required

Account ID

Example:

"w9jh0gf3w9qaxlre7enezt17"

accountType
enum<string>
required

Type of the account. See details

Available options:
vault
assetId
string
required

Asset ID

Example:

"10001"

balanceId
string
required

Balance ID

Example:

"rcyv3tsc53opdiz7xgrujvg0"

workspaceId
string
required

Workspace ID

Example:

"e191u51yxnykins6fahd"

createdAt
string<date-time-millis>

Created at timestamp

Example:

"1744369502340"

networkId
string

Network ID

Example:

"BTC"

symbol
string

Asset symbol

Example:

"BTC"

totalBalance
string<decimal>

The overall balance of a account

Example:

"2.00021084"

updatedAt
string<date-time-millis>

Last updated at timestamp

Example:

"1744372384276"

withdrawableBalance
string<decimal>

Balance available for withdrawal

Example:

"1.00021084"